﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_SIGNCONFIRMORG')
 CREATE TABLE T_BD_SIGNCONFIRMORG (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FISINCLUDESUBORG CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_SECONDAUTHSCHEME')
 CREATE TABLE T_BD_SECONDAUTHSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FFORMNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FVERIFYOPERATE NVARCHAR(250) DEFAULT ' ' NOT NULL,
FVERIFYMODE CHAR(1) DEFAULT ' ' NOT NULL,
FBIZAPPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FAUTHONCE CHAR(1) DEFAULT ' ' NOT NULL
);



EXEC P_ALTERPK 'PK_BD_SIGNCONFIRMORG', 'T_BD_SIGNCONFIRMORG', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_OPERATE_S_ID') CREATE  INDEX IDX_BD_OPERATE_S_ID ON T_BD_SIGNCONFIRMORG ( FSCHEMEID );

EXEC P_ALTERPK 'PK_BD_SECONDAUTHSCHEME', 'T_BD_SECONDAUTHSCHEME', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_OPERATE_FORMNUMBER') CREATE  INDEX IDX_BD_OPERATE_FORMNUMBER ON T_BD_SECONDAUTHSCHEME ( FFORMNUMBER );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BD_OPERATE_BIZAPPID') CREATE  INDEX IDX_BD_OPERATE_BIZAPPID ON T_BD_SECONDAUTHSCHEME ( FBIZAPPID );