﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_CUSTOM_HELP')
 CREATE TABLE T_BAS_CUSTOM_HELP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(250) DEFAULT ' ' NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBUSOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FLABEL CHAR(1) DEFAULT ' ' NOT NULL,
FWEIGHT BIGINT DEFAULT 0 NOT NULL,
FLINKTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRICHTEXTDATA VARCHAR(255) DEFAULT ' ' NOT NULL,
FRICHTEXTDATA_TAG NCLOB,
FAPPNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FURL VARCHAR(500) DEFAULT ' ' NOT NULL,
FPAGEVIEW BIGINT DEFAULT 0 NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME DEFAULT GETDATE() NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_CUSTOM_HELP_L')
 CREATE TABLE T_BAS_CUSTOM_HELP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(20) DEFAULT ' ' NOT NULL,
FTITLE NVARCHAR(250) DEFAULT ' ' NOT NULL
);


 EXEC P_ALTERPK 'PK_BAS_CUSTOM_HELP', 'T_BAS_CUSTOM_HELP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAS_CUSTOM_H_NUM') CREATE UNIQUE INDEX IDX_BAS_CUSTOM_H_NUM ON T_BAS_CUSTOM_HELP ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CUSTOM_H_APPNUM') CREATE INDEX IDX_CUSTOM_H_APPNUM ON T_BAS_CUSTOM_HELP ( FAPPNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CUSTOM_H_BUSOBJECT') CREATE INDEX IDX_CUSTOM_H_BUSOBJECT ON T_BAS_CUSTOM_HELP ( FBUSOBJECT );


 EXEC P_ALTERPK 'PK_T_BAS_CUSTOM_HELP_L', 'T_BAS_CUSTOM_HELP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'PK_CUSTOM_HELP_PKID_L') CREATE INDEX PK_CUSTOM_HELP_PKID_L ON T_BAS_CUSTOM_HELP_L ( FID ,FLOCALEID );