﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_MOBILE_APP')
 CREATE TABLE T_BAS_MOBILE_APP (
FID BIGINT DEFAULT 0 NOT NULL,
FFORMNUM VARCHAR(150) DEFAULT ' ' NOT NULL,
FAPPNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FAPPNUM VARCHAR(36) DEFAULT ' ' NOT NULL,
FICONURL VARCHAR(250) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_MOBILE_APP_L')
 CREATE TABLE T_BAS_MOBILE_APP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FAPPNAME NVARCHAR(150) DEFAULT ' ' NOT NULL
);

 EXEC P_ALTERPK 'PK_T_BAS_MOBILE_APP', 'T_BAS_MOBILE_APP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_BAS_MOBILE_APP' AND KSQL_INDNAME = 'IDX_APP_MOB_FORM') CREATE INDEX IDX_APP_MOB_FORM ON T_BAS_MOBILE_APP ( FFORMNUM );


 EXEC P_ALTERPK 'PK_BAS_MOBILE_APP_L', 'T_BAS_MOBILE_APP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_BAS_MOBILE_APP_L' AND KSQL_INDNAME = 'IDX_BAS_MOBILE_APP_L_0') CREATE INDEX IDX_BAS_MOBILE_APP_L_0 ON T_BAS_MOBILE_APP_L ( FID ,FLOCALEID );