﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_SHARE_URL')
 CREATE TABLE T_BAS_SHARE_URL (
FID BIGINT DEFAULT 0 NOT NULL,
FTEXTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
URL VARCHAR(500) DEFAULT ' ' NOT NULL,
EXPIRETIME DATETIME,
SHARETIME DATETIME,
STATE CHAR(1) DEFAULT '0' NOT NULL,
SHARECONTEXT VARCHAR(255) DEFAULT ' ' NOT NULL,
SHARECONTEXT_TAG NCLOB DEFAULT ' ',
SHARETYPE CHAR(1) DEFAULT '0' NOT NULL
);

 EXEC P_ALTERPK 'PK_T_BAS_SHARE_URL', 'T_BAS_SHARE_URL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAS_INDEX_SHARETYPE') CREATE INDEX IDX_BAS_INDEX_SHARETYPE ON T_BAS_SHARE_URL ( SHARETYPE );