IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_DATA_COLLECT_TEMP')
 CREATE TABLE T_BAS_DATA_COLLECT_TEMP (
FID BIGINT DEFAULT 0 NOT NULL,
FTENANTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FCLIENTIP VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPID VARCHAR(36) DEFAULT ' ' NOT NULL,
FFORMID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLFORMID VARCHAR(36) DEFAULT ' ' NOT NULL,
FEVENTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FEVENTNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FINSTANCENUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTOREID VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATA VARCHAR(4000) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FSENDTIME DATETIME
);

 EXEC P_ALTERPK 'PK_T_BAS_DATA_COLLECT_TEMP', 'T_BAS_DATA_COLLECT_TEMP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_BAS_DATA_COLLECT_TEMP_T') CREATE INDEX IDX_T_BAS_DATA_COLLECT_TEMP_T ON T_BAS_DATA_COLLECT_TEMP ( FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_BAS_DATA_COLLECT_TEMP_P') CREATE INDEX IDX_T_BAS_DATA_COLLECT_TEMP_P ON T_BAS_DATA_COLLECT_TEMP ( FGROUPID );