﻿
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_PRIVACY_USER_RECORD') 
 CREATE TABLE T_BAS_PRIVACY_USER_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FPRIVACYPOLICYID BIGINT DEFAULT 0 NOT NULL,
FOPTIME DATETIME,
FCLIENTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNTRY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPFLAG NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_PRIVACY_POLICY') 
 CREATE TABLE T_BAS_PRIVACY_POLICY (
FID BIGINT DEFAULT 0 NOT NULL,
FVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


EXEC P_ALTERPK 'PK_T_BAS_PRIVACY_USER_RECORD', 'T_BAS_PRIVACY_USER_RECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_BAS_PRIVACY_USER_RECORD') CREATE INDEX IDX_T_BAS_PRIVACY_USER_RECORD ON T_BAS_PRIVACY_USER_RECORD ( FUSERID ,FPRIVACYPOLICYID );


 EXEC P_ALTERPK 'PK_T_BAS_PRIVACY_POLICY', 'T_BAS_PRIVACY_POLICY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INX_T_BAS_PRIVACY_POLICY') CREATE INDEX INX_T_BAS_PRIVACY_POLICY ON T_BAS_PRIVACY_POLICY ( FTYPE );


