﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LOG_ETL_TASK')
 CREATE TABLE T_LOG_ETL_TASK (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FMOVECOUNT BIGINT DEFAULT 0 NOT NULL,
FFINISHCOUNT BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LOG_ETL_SETTING')
 CREATE TABLE T_LOG_ETL_SETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(20) DEFAULT ' ' NOT NULL,
FARCHIVEDAYS BIGINT DEFAULT 180 NOT NULL,
FTABLENAME VARCHAR(30) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(20) DEFAULT ' ' NOT NULL
);


 EXEC P_ALTERPK 'PK_LOG_ETL_TASK', 'T_LOG_ETL_TASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ETL_TASK_ID') CREATE INDEX IDX_ETL_TASK_ID ON T_LOG_ETL_TASK ( FTASKID );


 EXEC P_ALTERPK 'PK_LOG_ETL_SETTING', 'T_LOG_ETL_SETTING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ETL_SETTING_TAB') CREATE INDEX IDX_ETL_SETTING_TAB ON T_LOG_ETL_SETTING ( FTABLENAME );