﻿
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_SECONDAUTH_LOG')
 CREATE TABLE T_BD_SECONDAUTH_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZOBJ VARCHAR(80) DEFAULT ' ' NOT NULL,
FVERIFYOPERATE NVARCHAR(250) DEFAULT ' ' NOT NULL,
FVERIFYMODE CHAR(1) DEFAULT ' ' NOT NULL,
FOPERATERESULT VARCHAR(250) DEFAULT ' ' NOT NULL,
FOPERATEUSER BIGINT DEFAULT 0 NOT NULL,
FBIZOBJNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FOPERATEDATE DATETIME DEFAULT GETDATE() NOT NULL
);



EXEC P_ALTERPK 'PK_BD_SECONDAUTH_LOG', 'T_BD_SECONDAUTH_LOG', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AUTH_LOG_BIZOBJ') CREATE  INDEX IDX_AUTH_LOG_BIZOBJ ON T_BD_SECONDAUTH_LOG ( FBIZOBJ );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AUTH_LOG_USER') CREATE  INDEX IDX_AUTH_LOG_USER ON T_BD_SECONDAUTH_LOG ( FOPERATEUSER );